package Parkhaus;

import static org.junit.jupiter.api.Assertions.*;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

class JTest_checkVisakarte {
	
	private Parkhaus parkhaus;
    private SimpleDateFormat sdf;
    
	@BeforeEach
	void start() throws ParseException {
		parkhaus = new Parkhaus();
		sdf = new SimpleDateFormat("dd.MM.yyyy, HH:mm");
	}
	
	
	@Test
	public void test_visakarteNummer() throws Exception{
		String kennzeichen = "MA-SH 4077";
		String einfahrt = "01.10.2024, 14:30";
		String ausfahrt = "01.10.2024, 14:50";
		parkhaus.einfahren(kennzeichen, einfahrt);
		parkhaus.berechneParkgebuehren(kennzeichen, ausfahrt);

		String GueltigeVISAKartennummer =  "4509472140549006";   
		// Gültige Nummer => True
		assertTrue(parkhaus.checkVisakarteNummer(GueltigeVISAKartennummer));
		assertTrue(parkhaus.setBezahlt(kennzeichen));
		
		// Ungültige Nummer => True (da der Test False testet)
		String ungueltigeVISAKartennummer = "4509472140549002";
		assertFalse(parkhaus.checkVisakarteNummer(ungueltigeVISAKartennummer));
	}
	
	
	
	

}
